Foreman - Bug #30048

Pagination string unlocalized, strings at Hosts -> Create Hosts page need to be marked as
translatable strings.

06/08/2020 06:25 AM - vijaykumar sawant

Status: Resolved

Priority: Normal

Assignee:

Category: Internationalization

Target version:

Difficulty: Fixed in Releases: 250
Triaged: Yes Found in Releases: 2.1.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Description of problem: Strings at pagination are un-localized.

Version-Release number of selected component (if applicable): Version 2.1.0-develop
How reproducible: Always

Steps to Reproduce:

1. Login to Foreman 2.1 instance with Japanese language.

2. Hosts -> Create Hosts.

3. Switch to tab Ansible Roles, and look for un-localized strings.

Actual results: Un-localized strings found.

Expected results: Pagination strings should be translated

Additional info: Please see attached screenshot.

History

#1 - 06/08/2020 10:53 AM - vijaykumar sawant
- File 118Ni18n-14289 - Hosts - Create Host_Unlocalized-strings.png added

#2 - 06/08/2020 05:06 PM - vijaykumar sawant
- File 118Ni18n-14305 - Configure - Host Group_Unloacalized-string-found.png added
vijaykumar sawant wrote:
Description of problem: Strings at pagination are un-localized.
Version-Release number of selected component (if applicable): Version 2.1.0-develop
How reproducible: Always
Steps to Reproduce:
1. Login to Foreman 2.1 instance with Japanese language.
2. Hosts -> Create Hosts.
3. Switch to tab Ansible Roles, and look for un-localized strings.
Actual results: Un-localized strings found.

Expected results: Pagination strings should be translated

Additional info: Please see attached screenshot.

Same issue has been observed at different place as well. To reproduce follow the steps.
1. Configure -> Host Groups.
2. Click on any item under Name column.
3. Switch to tab Ansible Roles, and look for un-localized strings.

#3 - 06/09/2020 11:44 AM - vijaykumar sawant
- Found in Releases 2.1.0 added
- Found in Releases deleted (Nightly)

#4 - 04/29/2021 06:06 PM - Amit Upadhye
vijaykumar sawant wrote:
Description of problem: Strings at pagination are un-localized.
Version-Release number of selected component (if applicable): Version 2.1.0-develop
How reproducible: Always
Steps to Reproduce:
1. Login to Foreman 2.1 instance with Japanese language.
2. Hosts -> Create Hosts.
3. Switch to tab Ansible Roles, and look for un-localized strings.
Actual results: Un-localized strings found.

Expected results: Pagination strings should be translated

Additional info: Please see attached screenshot.

The 'Per Page' is already translated!

#5 - 05/27/2021 09:54 AM - vijaykumar sawant
- Status changed from New to Feedback

- Triaged changed from No to Yes

Ul has changed in 2.5.0 issue is not detected. Not applicable hence closing this bug.

#6 - 05/27/2021 10:16 AM - vijaykumar sawant
- Status changed from Feedback to Resolved

- Fixed in Releases 2.5.0 added

Ul has changed in 2.5.0 Issue is not found, hence closing this bug.

Files
118Ni18n-14289 - Hosts - Create Host_Unlocalized-strings.png 127 KB 06/08/2020 vijaykumar sawant
